aboutsummaryrefslogtreecommitdiffstats
path: root/testing/ntopng/ntopng.initd
diff options
context:
space:
mode:
authorLeonardo Arena <rnalrd@alpinelinux.org>2015-07-27 07:39:39 +0000
committerLeonardo Arena <rnalrd@alpinelinux.org>2015-07-27 07:42:47 +0000
commitfe8c11c1954834f77fb17887c939b2866cde74a9 (patch)
tree53af73d6d6fe45a4872b9f6875ca3552cdca1aa0 /testing/ntopng/ntopng.initd
parent5ea657e8af3ce86abe0b00c31ca667de4355493f (diff)
downloadaports-fe8c11c1954834f77fb17887c939b2866cde74a9.tar.bz2
aports-fe8c11c1954834f77fb17887c939b2866cde74a9.tar.xz
testing/ntopng: new aport
High-speed web-based traffic analysis and flow collection. It's Ntop next-generation software
Diffstat (limited to 'testing/ntopng/ntopng.initd')
-rw-r--r--testing/ntopng/ntopng.initd25
1 files changed, 25 insertions, 0 deletions
diff --git a/testing/ntopng/ntopng.initd b/testing/ntopng/ntopng.initd
new file mode 100644
index 0000000000..c111d2bf00
--- /dev/null
+++ b/testing/ntopng/ntopng.initd
@@ -0,0 +1,25 @@
+#!/sbin/openrc-run
+
+depend() {
+ need net redis
+}
+
+command="/usr/bin/ntopng"
+pidfile="/var/run/ntopng/ntopng.pid"
+: ${exec_user:=ntop}
+: ${command_args:="--daemon --data-dir /var/lib/ntopng --httpdocs-dir /usr/share/ntopng/httpdocs --pid $pidfile -U $exec_user"}
+
+checkconfig() {
+ if [ ! -e /usr/share/ntopng/httpdocs/geoip/GeoIPASNum.dat ] || \
+ [ ! -e /usr/share/ntopng/httpdocs/geoip/GeoLiteCity.dat ]; then
+ eerror "You need download the GeoIP database"
+ eerror "ntopng-update-geoip-db"
+ return 1
+ fi
+}
+
+prestart() {
+ checkconfig || return 1
+ eend $?
+}
+